/*
Theme Name:     Audioservice theme
Description:    Kadence child theme for Audioservice.
Theme URI:      https://multimedium.se/
Template:       kadence
Author:         multimedium@multimedium.se
Author URI:     https://multimedium.se/
Version:        0.0.3
*/

/* ----------------------------------------------------------------------
    Disable textarea resizing */
textarea {
  resize: none;
}

/* ----------------------------------------------------------------------
    Contact form mobile view */
@media (max-width: 767px) {
  #kontakt form {
    width: 80vw;
  }
}

/* ----------------------------------------------------------------------
    Reflection under contact form */
.audioservice-contact-form {
  /* Adjust this once the final form is in place */
  margin-top: calc(100vh * 0.09) !important;
  margin-bottom: 10px;
  border-radius: 10px;
}
.audioservice-contact-form-reflection {
  position: relative;
  top: 10px;
  border-radius: 10px;
  opacity: .5;
  transition: opacity 1s;
  transform: rotatex(180deg) translatey(15px);
  mask-image: linear-gradient(transparent 70%, white 90%);
  filter: blur(1px);

  /* Prevent clicky on reflected form elements */
  * {
    pointer-events: none;
  }

  /* Button stands out more than other elements so make it a little more transparent */
  button {
    opacity: .3;
  }
}

/* ----------------------------------------------------------------------
    Filter checkbox styles (unused) */
.audioservice-reference-filter {

  .checkbox-options {
    column-gap: 30px !important;
  }

  input[type="checkbox"] {
    background: rgb(45 58 56 / 0) !important;
    border-color: rgb(91 93 84 / 1) !important;

    &:checked {
      background: rgb(91 93 84 / 1) !important;
      border-color: rgb(45 58 56 / 1) !important;
    }
  }
}

/* ----------------------------------------------------------------------
    Gallery caption */
.kadence-blocks-gallery-item__caption {
  font-size: 36px !important;
  font-weight: bold !important;
  text-align: center !important;
  color: rgb(255 255 255 / 1) !important;
  text-shadow:
    -1px -1px 0 rgb(0 0 0 / 1),
    1px  -1px 0 rgb(0 0 0 / 1),
    -1px 1px  0 rgb(0 0 0 / 1),
    1px  1px  0 rgb(0 0 0 / 1),
    0px  0px  4px rgb(0 0 0 / 1) !important;
}
/* Lightbox caption */
.gslide-desc {
  font-size: 48px !important;
  font-weight: bold !important;
  text-align: center !important;
  color: rgb(255 255 255 / 1) !important;
  text-shadow:
    -1px -1px 0 rgb(0 0 0 / 1),
    1px  -1px 0 rgb(0 0 0 / 1),
    -1px 1px  0 rgb(0 0 0 / 1),
    1px  1px  0 rgb(0 0 0 / 1),
    0px  0px  4px rgb(0 0 0 / 1) !important;
}
/* Add small padding above lightbox image with caption */
.gslide-media.gslide-image:has(~.gslide-description) {
  margin-top: 20px;
}
/* Make lightbox overlay darker */
.glightbox-kadence-dark {
  --glightbox-main-overlay: rgb(0 0 0 / 0.9);
}
